// this is the header file to return the correct data type for a fits image
//
// last updated 4 Feb 1999

#ifndef FITSMANIP_H
#define FITSMANIP_H

#define FIRSTPIXEL 1
#define COMMENT_SIZE 80
#define NULVAL -100
#define ANYVAL 0

class FitsManip {
  public:
  void setPixType(int*,int);
  Fits *ReadFits(fitsfile*,char[],int*,char[], int);
  int CheckNorm(fitsfile*,char[],int*);
  void WriteFits(Fits*,char[],int*);
  Fits *ReadConvFile(char[]);
  Fits *getTemplate(long, float*);

};

#endif
