// These are Defined constants and Default parameters for TFit
#define STRING_LENGTH 80
#define OBJECT_SCALE 3.0
#define LINE_SIZE 200
#define VERSION "1.2.1"
#define MAX_FLOAT 3.4e38
#define FALSE 0
#define TRUE 1
#define DEFAULT_SEXFILE "sex.cat"
#define DEFAULT_LORES "image.fits"
#define DEFAULT_TEMPLATE "template.fits"
#define DEFAULT_WEIGHTFITS "weight.fits"
#define DEFAULT_FLAGMAP "flag.fits"
#define DEFAULT_CONSEGFITS "conseg.fits"
#define DEFAULT_GROWTHFILE "segkernel.con"
#define DEFAULT_CONVFILE "kernel.con"
#define DEFAULT_GRPFITS "group.fits"
#define DEFAULT_DATAFILE "tfit.out"
#define DEFAULT_CELLFILE "tfit.cell_out"
#define DEFAULT_TEMPLATEFILE "tfit_template.fits"
#define DEFAULT_RESIDUALFILE "tfit_residual.fits"
#define DEFAULT_COVFILE "tfit_covariance.out"
#define DEFAULT_BUFFER 512
#define DEFAULT_FLAG_DIST 64
