#include <iostream.h>
#include <iomanip.h>
#include <math.h>
#include <fstream.h>
#include <string.h>
#include <stdlib.h>
#include <assert.h>
#include "fitsio.h"
#include "nrutil.h"
#include "define.h"
#include "box.h"
#include "fits.h"
#include "fitsmanip.h"

void FitsManip::setPixType(int *PixVal, int fitsVal) {
  switch (fitsVal) {
  case SHORT_IMG :
    *PixVal = TINT;
    break;
  case LONG_IMG :
    *PixVal = TLONG;
    break;
  case FLOAT_IMG :
    *PixVal = TFLOAT;
    break;
  default:
    cout << "Pixel Value: " << fitsVal << " -> UNKNOWN TYPE!" << endl;
  }
}
